<?php
/**
 * @package     gantry
 * @subpackage  features
 * @version		3.1.7 January 31, 2011
 * @author		RocketTheme http://www.rockettheme.com
 * @copyright 	Copyright (C) 2007 - 2011 RocketTheme, LLC
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * Gantry uses the Joomla Framework (http://www.joomla.org), a GNU/GPLv2 content management system
 *
 */

defined('JPATH_BASE') or die();

gantry_import('core.gantryfeature');

/**
 * @package     gantry
 * @subpackage  features
 */
class GantryFeatureStyleDeclaration extends GantryFeature {
    var $_feature_name = 'styledeclaration';

    function isEnabled() {
        global $gantry;
        $menu_enabled = $this->get('enabled');

        if (1 == (int)$menu_enabled) return true;
        return false;
    }

	function init() {
        global $gantry;
        
        $patterns = array(
        	'pattern1' 	=> 'url('.$gantry->templateUrl.'/images/patterns/pattern_1.png) center center no-repeat ',
			'none' 	=> ' ',
		);
		$backgroundCss = $patterns[$gantry->get('pattern')].$gantry->get('bgcolor');

        $css  = 'body {background: '.$backgroundCss.';}';
        $css .= 'body a, body a:hover {color:'.$gantry->get('linkcolor').';}';
        $css .= '.module-title h2.title, .blank h2.title{color:'.$gantry->get('moduleheadercolor').';}';
        $css .= '#rt-footer, #rt-footer a, #rt-footer h2.title, #rt-copyright, #rt-copyright a {color:'.$gantry->get('footercolor').';}';
        $css .= '.rt-article h1 a, .rt-article h2 a, .rt-article h3 a, .rt-article h4 a, .rt-article h5 a, .rt-article h6 a, .component-content h1, .component-content h2, .component-content h3, .component-content h4, .component-content h5, .component-content h6, .rt-joomla .contentheading, .rt-joomla h2.componentheading, .component-content .contentheading, .component-content h2.componentheading, .contentheading, .componentheading{color:'.$gantry->get('contentheadercolor').';}';
        $css .= '.button{background-color:'.$gantry->get('buttoncolor').';}';
		$css .= '.menutop li.root.active > .item, .menutop li.root.active > .item:hover, .menu-type-splitmenu .menutop li.active .item, .menutop li.root > .item:hover, .menutop li.active.root.f-mainparent-itemfocus > .item, .menutop li.root.f-mainparent-itemfocus > .item, .menu-type-splitmenu .menutop li:hover > .item {border-color:'.$gantry->get('menuhovercolor').';}';
        $css .= '.menutop li.root > .item {color:'.$gantry->get('menucolor').';}';
        $css .= '#rt-showcase, #rt-header, .menutop ul li > a.item:hover, .menutop ul li.f-menuparent-itemfocus > a.item,  .menutop li.active > span.item, .menutop ul li.f-menuparent-itemfocus > span.item, .menutop .fusion-js-subs ul li.active > a {background-color:'.$gantry->get('showcasecolor').';}';
		$css .= '#rt-feature .suffix1 .rt-block, #rt-maintop .suffix1 .rt-block, #rt-mainbottom .suffix1 .rt-block, #rt-sidebar-a .suffix1 .rt-block, #rt-sidebar-b .suffix1 .rt-block,  #rt-sidebar-c .suffix1 .rt-block, #rt-bottom .suffix1 .rt-block, #rt-content-top .suffix1 .rt-block, #rt-content-bottom .suffix1 .rt-block{background-color:'.$gantry->get('modulesuffix1').';}';
		$css .= '#rt-feature .suffix2 .rt-block, #rt-maintop .suffix2  .rt-block, #rt-mainbottom .suffix2 .rt-block, #rt-sidebar-a .suffix2 .rt-block, #rt-sidebar-b .suffix2 .rt-block, #rt-sidebar-c .suffix2 .rt-block, #rt-bottom .suffix2 .rt-block, #rt-content-top .suffix2 .rt-block, #rt-content-bottom .suffix2 .rt-block{background-color:'.$gantry->get('modulesuffix2').';}';
		$css .= '#rt-feature .suffix3 .rt-block, #rt-maintop .suffix3 .rt-block, #rt-mainbottom .suffix3 .rt-block, #rt-sidebar-a .suffix3 .rt-block, #rt-sidebar-b .suffix3 .rt-block, #rt-sidebar-c .suffix3 .rt-block, #rt-bottom .suffix3 .rt-block, #rt-content-top .suffix3 .rt-block, #rt-content-bottom .suffix3 .rt-block{background-color:'.$gantry->get('modulesuffix3').';}';
	    $css .= '#rt-feature .suffix4 .rt-block, #rt-maintop .suffix4 .rt-block, #rt-mainbottom .suffix4 .rt-block, #rt-sidebar-a .suffix4 .rt-block, #rt-sidebar-b .suffix4 .rt-block, #rt-sidebar-c .suffix4 .rt-block, #rt-bottom .suffix4 .rt-block, #rt-content-top .suffix4 .rt-block, #rt-content-bottom .suffix4 .rt-block{background-color:'.$gantry->get('modulesuffix4').';}';
        $gantry->addInlineStyle($css);

	}

}